Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/AlgorithmOperatorView.Designer.cs	(revision 5832)
@@ -62,12 +62,14 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(414, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(70, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(391, 20);
       // 
-      // descriptionTextBox
+      // infoLabel
       // 
-      this.descriptionTextBox.Size = new System.Drawing.Size(414, 20);
+      this.infoLabel.Location = new System.Drawing.Point(467, 3);
       // 
       // tabControl
       // 
+      this.tabControl.AllowDrop = true;
       this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                   | System.Windows.Forms.AnchorStyles.Left)
@@ -75,9 +77,9 @@
       this.tabControl.Controls.Add(this.parametersTabPage);
       this.tabControl.Controls.Add(this.operatorGraphTabPage);
-      this.tabControl.Location = new System.Drawing.Point(0, 72);
+      this.tabControl.Location = new System.Drawing.Point(0, 46);
       this.tabControl.Name = "tabControl";
       this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(486, 410);
-      this.tabControl.TabIndex = 6;
+      this.tabControl.Size = new System.Drawing.Size(486, 436);
+      this.tabControl.TabIndex = 5;
       // 
       // parametersTabPage
@@ -87,5 +89,5 @@
       this.parametersTabPage.Name = "parametersTabPage";
       this.parametersTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.parametersTabPage.Size = new System.Drawing.Size(478, 384);
+      this.parametersTabPage.Size = new System.Drawing.Size(478, 410);
       this.parametersTabPage.TabIndex = 0;
       this.parametersTabPage.Text = "Parameters";
@@ -97,8 +99,10 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.parameterCollectionView.Caption = "ParameterCollection View";
       this.parameterCollectionView.Content = null;
       this.parameterCollectionView.Location = new System.Drawing.Point(6, 6);
       this.parameterCollectionView.Name = "parameterCollectionView";
-      this.parameterCollectionView.Size = new System.Drawing.Size(466, 372);
+      this.parameterCollectionView.ReadOnly = false;
+      this.parameterCollectionView.Size = new System.Drawing.Size(466, 398);
       this.parameterCollectionView.TabIndex = 0;
       // 
@@ -109,5 +113,5 @@
       this.operatorGraphTabPage.Name = "operatorGraphTabPage";
       this.operatorGraphTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.operatorGraphTabPage.Size = new System.Drawing.Size(478, 384);
+      this.operatorGraphTabPage.Size = new System.Drawing.Size(478, 410);
       this.operatorGraphTabPage.TabIndex = 1;
       this.operatorGraphTabPage.Text = "Operator Graph";
@@ -119,9 +123,13 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.operatorGraphViewHost.Caption = "View";
       this.operatorGraphViewHost.Content = null;
+      this.operatorGraphViewHost.Enabled = false;
       this.operatorGraphViewHost.Location = new System.Drawing.Point(6, 6);
       this.operatorGraphViewHost.Name = "operatorGraphViewHost";
-      this.operatorGraphViewHost.Size = new System.Drawing.Size(466, 372);
+      this.operatorGraphViewHost.ReadOnly = false;
+      this.operatorGraphViewHost.Size = new System.Drawing.Size(466, 398);
       this.operatorGraphViewHost.TabIndex = 0;
+      this.operatorGraphViewHost.ViewsLabelVisible = true;
       this.operatorGraphViewHost.ViewType = null;
       // 
@@ -129,19 +137,20 @@
       // 
       this.breakpointCheckBox.AutoSize = true;
-      this.breakpointCheckBox.Location = new System.Drawing.Point(72, 52);
+      this.breakpointCheckBox.Location = new System.Drawing.Point(70, 26);
       this.breakpointCheckBox.Name = "breakpointCheckBox";
       this.breakpointCheckBox.Size = new System.Drawing.Size(15, 14);
-      this.breakpointCheckBox.TabIndex = 5;
+      this.breakpointCheckBox.TabIndex = 4;
+      this.toolTip.SetToolTip(this.breakpointCheckBox, "Check if an engine should stop execution each time after this operator has been p" +
+              "rocessed.");
       this.breakpointCheckBox.UseVisualStyleBackColor = true;
       this.breakpointCheckBox.CheckedChanged += new System.EventHandler(this.breakpointCheckBox_CheckedChanged);
-      this.toolTip.SetToolTip(this.breakpointCheckBox, "Check if an engine should stop execution each time after this operator has been processed.");
       // 
       // breakpointLabel
       // 
       this.breakpointLabel.AutoSize = true;
-      this.breakpointLabel.Location = new System.Drawing.Point(3, 52);
+      this.breakpointLabel.Location = new System.Drawing.Point(3, 26);
       this.breakpointLabel.Name = "breakpointLabel";
       this.breakpointLabel.Size = new System.Drawing.Size(61, 13);
-      this.breakpointLabel.TabIndex = 4;
+      this.breakpointLabel.TabIndex = 3;
       this.breakpointLabel.Text = "&Breakpoint:";
       // 
@@ -155,9 +164,8 @@
       this.Name = "AlgorithmOperatorView";
       this.Size = new System.Drawing.Size(486, 482);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.tabControl, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.breakpointLabel, 0);
       this.Controls.SetChildIndex(this.breakpointCheckBox, 0);
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/CheckedMultiOperatorView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/CheckedMultiOperatorView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/CheckedMultiOperatorView.Designer.cs	(revision 5832)
@@ -62,12 +62,14 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(414, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(70, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(391, 20);
       // 
-      // descriptionTextBox
+      // infoLabel
       // 
-      this.descriptionTextBox.Size = new System.Drawing.Size(414, 20);
+      this.infoLabel.Location = new System.Drawing.Point(467, 3);
       // 
       // tabControl
       // 
+      this.tabControl.AllowDrop = true;
       this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                   | System.Windows.Forms.AnchorStyles.Left)
@@ -75,9 +77,9 @@
       this.tabControl.Controls.Add(this.operatorsTabPage);
       this.tabControl.Controls.Add(this.parametersTabPage);
-      this.tabControl.Location = new System.Drawing.Point(0, 72);
+      this.tabControl.Location = new System.Drawing.Point(0, 46);
       this.tabControl.Name = "tabControl";
       this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(486, 410);
-      this.tabControl.TabIndex = 6;
+      this.tabControl.Size = new System.Drawing.Size(486, 436);
+      this.tabControl.TabIndex = 5;
       // 
       // operatorsTabPage
@@ -87,5 +89,5 @@
       this.operatorsTabPage.Name = "operatorsTabPage";
       this.operatorsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.operatorsTabPage.Size = new System.Drawing.Size(478, 384);
+      this.operatorsTabPage.Size = new System.Drawing.Size(478, 410);
       this.operatorsTabPage.TabIndex = 0;
       this.operatorsTabPage.Text = "Operators";
@@ -97,8 +99,10 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.operatorListView.Caption = "OperatorList View";
       this.operatorListView.Content = null;
       this.operatorListView.Location = new System.Drawing.Point(6, 6);
       this.operatorListView.Name = "operatorListView";
-      this.operatorListView.Size = new System.Drawing.Size(466, 372);
+      this.operatorListView.ReadOnly = false;
+      this.operatorListView.Size = new System.Drawing.Size(466, 398);
       this.operatorListView.TabIndex = 0;
       // 
@@ -109,5 +113,5 @@
       this.parametersTabPage.Name = "parametersTabPage";
       this.parametersTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.parametersTabPage.Size = new System.Drawing.Size(478, 338);
+      this.parametersTabPage.Size = new System.Drawing.Size(478, 410);
       this.parametersTabPage.TabIndex = 1;
       this.parametersTabPage.Text = "Parameters";
@@ -119,8 +123,10 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.parameterCollectionView.Caption = "ParameterCollection View";
       this.parameterCollectionView.Content = null;
       this.parameterCollectionView.Location = new System.Drawing.Point(6, 6);
       this.parameterCollectionView.Name = "parameterCollectionView";
-      this.parameterCollectionView.Size = new System.Drawing.Size(466, 326);
+      this.parameterCollectionView.ReadOnly = false;
+      this.parameterCollectionView.Size = new System.Drawing.Size(466, 398);
       this.parameterCollectionView.TabIndex = 0;
       // 
@@ -128,22 +134,23 @@
       // 
       this.breakpointCheckBox.AutoSize = true;
-      this.breakpointCheckBox.Location = new System.Drawing.Point(72, 52);
+      this.breakpointCheckBox.Location = new System.Drawing.Point(70, 26);
       this.breakpointCheckBox.Name = "breakpointCheckBox";
       this.breakpointCheckBox.Size = new System.Drawing.Size(15, 14);
-      this.breakpointCheckBox.TabIndex = 5;
+      this.breakpointCheckBox.TabIndex = 4;
+      this.toolTip.SetToolTip(this.breakpointCheckBox, "Check if an engine should stop execution each time after this operator has been p" +
+              "rocessed.");
       this.breakpointCheckBox.UseVisualStyleBackColor = true;
       this.breakpointCheckBox.CheckedChanged += new System.EventHandler(this.breakpointCheckBox_CheckedChanged);
-      this.toolTip.SetToolTip(this.breakpointCheckBox, "Check if an engine should stop execution each time after this operator has been processed.");
       // 
       // breakpointLabel
       // 
       this.breakpointLabel.AutoSize = true;
-      this.breakpointLabel.Location = new System.Drawing.Point(3, 52);
+      this.breakpointLabel.Location = new System.Drawing.Point(3, 26);
       this.breakpointLabel.Name = "breakpointLabel";
       this.breakpointLabel.Size = new System.Drawing.Size(61, 13);
-      this.breakpointLabel.TabIndex = 4;
+      this.breakpointLabel.TabIndex = 3;
       this.breakpointLabel.Text = "&Breakpoint:";
       // 
-      // MultiOperatorView
+      // CheckedMultiOperatorView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
@@ -152,11 +159,10 @@
       this.Controls.Add(this.breakpointLabel);
       this.Controls.Add(this.tabControl);
-      this.Name = "MultiOperatorView";
+      this.Name = "CheckedMultiOperatorView";
       this.Size = new System.Drawing.Size(486, 482);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.tabControl, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.breakpointLabel, 0);
       this.Controls.SetChildIndex(this.breakpointCheckBox, 0);
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/HeuristicLab.Operators.Views-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/HeuristicLab.Operators.Views-3.3.csproj	(revision 5831)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/HeuristicLab.Operators.Views-3.3.csproj	(revision 5832)
@@ -12,5 +12,6 @@
     <AssemblyName>HeuristicLab.Operators.Views-3.3</AssemblyName>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile></TargetFrameworkProfile>
+    <TargetFrameworkProfile>
+    </TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
@@ -95,4 +96,15 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HeuristicLab.Common.Resources-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.Data-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.Data.Views-3.3">
+      <HintPath>..\..\HeuristicLab.Data.Views\3.3\bin\Debug\HeuristicLab.Data.Views-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Optimization-3.3">
+      <HintPath>..\..\HeuristicLab.Optimization\3.3\bin\Debug\HeuristicLab.Optimization-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Visualization.ChartControlsExtensions-3.3">
+      <HintPath>..\..\HeuristicLab.Visualization.ChartControlsExtensions\3.3\bin\Debug\HeuristicLab.Visualization.ChartControlsExtensions-3.3.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -101,4 +113,5 @@
     <Reference Include="System.Drawing" />
     <Reference Include="System.Windows.Forms" />
+    <Reference Include="System.Windows.Forms.DataVisualization" />
     <Reference Include="System.Xml.Linq">
       <RequiredTargetFramework>3.5</RequiredTargetFramework>
@@ -177,4 +190,8 @@
       <Project>{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}</Project>
       <Name>HeuristicLab.Operators-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Optimization.Views\3.3\HeuristicLab.Optimization.Views-3.3.csproj">
+      <Project>{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}</Project>
+      <Name>HeuristicLab.Optimization.Views-3.3</Name>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\3.3\HeuristicLab.PluginInfrastructure-3.3.csproj">
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.Designer.cs	(revision 5832)
@@ -62,12 +62,14 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(414, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(70, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(391, 20);
       // 
-      // descriptionTextBox
+      // infoLabel
       // 
-      this.descriptionTextBox.Size = new System.Drawing.Size(414, 20);
+      this.infoLabel.Location = new System.Drawing.Point(467, 3);
       // 
       // tabControl
       // 
+      this.tabControl.AllowDrop = true;
       this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                   | System.Windows.Forms.AnchorStyles.Left)
@@ -75,9 +77,9 @@
       this.tabControl.Controls.Add(this.operatorsTabPage);
       this.tabControl.Controls.Add(this.parametersTabPage);
-      this.tabControl.Location = new System.Drawing.Point(0, 72);
+      this.tabControl.Location = new System.Drawing.Point(0, 46);
       this.tabControl.Name = "tabControl";
       this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(486, 410);
-      this.tabControl.TabIndex = 6;
+      this.tabControl.Size = new System.Drawing.Size(486, 436);
+      this.tabControl.TabIndex = 5;
       // 
       // operatorsTabPage
@@ -87,5 +89,5 @@
       this.operatorsTabPage.Name = "operatorsTabPage";
       this.operatorsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.operatorsTabPage.Size = new System.Drawing.Size(478, 384);
+      this.operatorsTabPage.Size = new System.Drawing.Size(478, 410);
       this.operatorsTabPage.TabIndex = 0;
       this.operatorsTabPage.Text = "Operators";
@@ -97,8 +99,10 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.operatorListView.Caption = "OperatorList View";
       this.operatorListView.Content = null;
       this.operatorListView.Location = new System.Drawing.Point(6, 6);
       this.operatorListView.Name = "operatorListView";
-      this.operatorListView.Size = new System.Drawing.Size(466, 372);
+      this.operatorListView.ReadOnly = false;
+      this.operatorListView.Size = new System.Drawing.Size(466, 398);
       this.operatorListView.TabIndex = 0;
       // 
@@ -109,5 +113,5 @@
       this.parametersTabPage.Name = "parametersTabPage";
       this.parametersTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.parametersTabPage.Size = new System.Drawing.Size(478, 338);
+      this.parametersTabPage.Size = new System.Drawing.Size(478, 410);
       this.parametersTabPage.TabIndex = 1;
       this.parametersTabPage.Text = "Parameters";
@@ -119,8 +123,10 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.parameterCollectionView.Caption = "ParameterCollection View";
       this.parameterCollectionView.Content = null;
       this.parameterCollectionView.Location = new System.Drawing.Point(6, 6);
       this.parameterCollectionView.Name = "parameterCollectionView";
-      this.parameterCollectionView.Size = new System.Drawing.Size(466, 326);
+      this.parameterCollectionView.ReadOnly = false;
+      this.parameterCollectionView.Size = new System.Drawing.Size(466, 398);
       this.parameterCollectionView.TabIndex = 0;
       // 
@@ -128,19 +134,20 @@
       // 
       this.breakpointCheckBox.AutoSize = true;
-      this.breakpointCheckBox.Location = new System.Drawing.Point(72, 52);
+      this.breakpointCheckBox.Location = new System.Drawing.Point(70, 26);
       this.breakpointCheckBox.Name = "breakpointCheckBox";
       this.breakpointCheckBox.Size = new System.Drawing.Size(15, 14);
-      this.breakpointCheckBox.TabIndex = 5;
+      this.breakpointCheckBox.TabIndex = 4;
+      this.toolTip.SetToolTip(this.breakpointCheckBox, "Check if an engine should stop execution each time after this operator has been p" +
+              "rocessed.");
       this.breakpointCheckBox.UseVisualStyleBackColor = true;
       this.breakpointCheckBox.CheckedChanged += new System.EventHandler(this.breakpointCheckBox_CheckedChanged);
-      this.toolTip.SetToolTip(this.breakpointCheckBox, "Check if an engine should stop execution each time after this operator has been processed.");
       // 
       // breakpointLabel
       // 
       this.breakpointLabel.AutoSize = true;
-      this.breakpointLabel.Location = new System.Drawing.Point(3, 52);
+      this.breakpointLabel.Location = new System.Drawing.Point(3, 26);
       this.breakpointLabel.Name = "breakpointLabel";
       this.breakpointLabel.Size = new System.Drawing.Size(61, 13);
-      this.breakpointLabel.TabIndex = 4;
+      this.breakpointLabel.TabIndex = 3;
       this.breakpointLabel.Text = "&Breakpoint:";
       // 
@@ -154,9 +161,8 @@
       this.Name = "MultiOperatorView";
       this.Size = new System.Drawing.Size(486, 482);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.tabControl, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.breakpointLabel, 0);
       this.Controls.SetChildIndex(this.breakpointCheckBox, 0);
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/OperatorView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/OperatorView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/OperatorView.Designer.cs	(revision 5832)
@@ -52,7 +52,7 @@
       // parameterCollectionView
       // 
-      this.parameterCollectionView.Location = new System.Drawing.Point(0, 72);
-      this.parameterCollectionView.Size = new System.Drawing.Size(490, 281);
-      this.parameterCollectionView.TabIndex = 6;
+      this.parameterCollectionView.Location = new System.Drawing.Point(0, 46);
+      this.parameterCollectionView.Size = new System.Drawing.Size(490, 307);
+      this.parameterCollectionView.TabIndex = 5;
       // 
       // nameTextBox
@@ -60,12 +60,18 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
+      this.nameTextBox.Location = new System.Drawing.Point(70, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(395, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(471, 3);
       // 
       // breakpointLabel
       // 
       this.breakpointLabel.AutoSize = true;
-      this.breakpointLabel.Location = new System.Drawing.Point(3, 52);
+      this.breakpointLabel.Location = new System.Drawing.Point(3, 26);
       this.breakpointLabel.Name = "breakpointLabel";
       this.breakpointLabel.Size = new System.Drawing.Size(61, 13);
-      this.breakpointLabel.TabIndex = 4;
+      this.breakpointLabel.TabIndex = 3;
       this.breakpointLabel.Text = "&Breakpoint:";
       // 
@@ -73,11 +79,12 @@
       // 
       this.breakpointCheckBox.AutoSize = true;
-      this.breakpointCheckBox.Location = new System.Drawing.Point(72, 52);
+      this.breakpointCheckBox.Location = new System.Drawing.Point(70, 26);
       this.breakpointCheckBox.Name = "breakpointCheckBox";
       this.breakpointCheckBox.Size = new System.Drawing.Size(15, 14);
-      this.breakpointCheckBox.TabIndex = 5;
+      this.breakpointCheckBox.TabIndex = 4;
+      this.toolTip.SetToolTip(this.breakpointCheckBox, "Check if an engine should stop execution each time after this operator has been p" +
+              "rocessed.");
       this.breakpointCheckBox.UseVisualStyleBackColor = true;
       this.breakpointCheckBox.CheckedChanged += new System.EventHandler(this.breakpointCheckBox_CheckedChanged);
-      this.toolTip.SetToolTip(this.breakpointCheckBox, "Check if an engine should stop execution each time after this operator has been processed.");
       // 
       // OperatorView
@@ -85,13 +92,12 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.breakpointLabel);
       this.Controls.Add(this.breakpointCheckBox);
-      this.Controls.Add(this.breakpointLabel);
       this.Name = "OperatorView";
+      this.Controls.SetChildIndex(this.breakpointCheckBox, 0);
       this.Controls.SetChildIndex(this.breakpointLabel, 0);
-      this.Controls.SetChildIndex(this.breakpointCheckBox, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.parameterCollectionView, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.Designer.cs	(revision 5832)
@@ -62,12 +62,14 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(414, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(70, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(391, 20);
       // 
-      // descriptionTextBox
+      // infoLabel
       // 
-      this.descriptionTextBox.Size = new System.Drawing.Size(414, 20);
+      this.infoLabel.Location = new System.Drawing.Point(467, 3);
       // 
       // tabControl
       // 
+      this.tabControl.AllowDrop = true;
       this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                   | System.Windows.Forms.AnchorStyles.Left)
@@ -75,9 +77,9 @@
       this.tabControl.Controls.Add(this.collectedValuesTabPage);
       this.tabControl.Controls.Add(this.parametersTabPage);
-      this.tabControl.Location = new System.Drawing.Point(0, 72);
+      this.tabControl.Location = new System.Drawing.Point(0, 46);
       this.tabControl.Name = "tabControl";
       this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(486, 410);
-      this.tabControl.TabIndex = 6;
+      this.tabControl.Size = new System.Drawing.Size(486, 436);
+      this.tabControl.TabIndex = 5;
       // 
       // collectedValuesTabPage
@@ -87,5 +89,5 @@
       this.collectedValuesTabPage.Name = "collectedValuesTabPage";
       this.collectedValuesTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.collectedValuesTabPage.Size = new System.Drawing.Size(478, 384);
+      this.collectedValuesTabPage.Size = new System.Drawing.Size(478, 410);
       this.collectedValuesTabPage.TabIndex = 0;
       this.collectedValuesTabPage.Text = "Collected Values";
@@ -97,8 +99,10 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.collectedValuesView.Caption = "ParameterCollection View";
       this.collectedValuesView.Content = null;
       this.collectedValuesView.Location = new System.Drawing.Point(6, 6);
       this.collectedValuesView.Name = "collectedValuesView";
-      this.collectedValuesView.Size = new System.Drawing.Size(466, 372);
+      this.collectedValuesView.ReadOnly = false;
+      this.collectedValuesView.Size = new System.Drawing.Size(466, 398);
       this.collectedValuesView.TabIndex = 0;
       // 
@@ -109,5 +113,5 @@
       this.parametersTabPage.Name = "parametersTabPage";
       this.parametersTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.parametersTabPage.Size = new System.Drawing.Size(478, 338);
+      this.parametersTabPage.Size = new System.Drawing.Size(478, 410);
       this.parametersTabPage.TabIndex = 1;
       this.parametersTabPage.Text = "Parameters";
@@ -119,8 +123,10 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.parameterCollectionView.Caption = "ParameterCollection View";
       this.parameterCollectionView.Content = null;
       this.parameterCollectionView.Location = new System.Drawing.Point(6, 6);
       this.parameterCollectionView.Name = "parameterCollectionView";
-      this.parameterCollectionView.Size = new System.Drawing.Size(466, 326);
+      this.parameterCollectionView.ReadOnly = false;
+      this.parameterCollectionView.Size = new System.Drawing.Size(466, 398);
       this.parameterCollectionView.TabIndex = 0;
       // 
@@ -128,19 +134,20 @@
       // 
       this.breakpointCheckBox.AutoSize = true;
-      this.breakpointCheckBox.Location = new System.Drawing.Point(72, 52);
+      this.breakpointCheckBox.Location = new System.Drawing.Point(70, 26);
       this.breakpointCheckBox.Name = "breakpointCheckBox";
       this.breakpointCheckBox.Size = new System.Drawing.Size(15, 14);
-      this.breakpointCheckBox.TabIndex = 5;
+      this.breakpointCheckBox.TabIndex = 4;
+      this.toolTip.SetToolTip(this.breakpointCheckBox, "Check if an engine should stop execution each time after this operator has been p" +
+              "rocessed.");
       this.breakpointCheckBox.UseVisualStyleBackColor = true;
       this.breakpointCheckBox.CheckedChanged += new System.EventHandler(this.breakpointCheckBox_CheckedChanged);
-      this.toolTip.SetToolTip(this.breakpointCheckBox, "Check if an engine should stop execution each time after this operator has been processed.");
       // 
       // breakpointLabel
       // 
       this.breakpointLabel.AutoSize = true;
-      this.breakpointLabel.Location = new System.Drawing.Point(3, 52);
+      this.breakpointLabel.Location = new System.Drawing.Point(3, 26);
       this.breakpointLabel.Name = "breakpointLabel";
       this.breakpointLabel.Size = new System.Drawing.Size(61, 13);
-      this.breakpointLabel.TabIndex = 4;
+      this.breakpointLabel.TabIndex = 3;
       this.breakpointLabel.Text = "&Breakpoint:";
       // 
@@ -154,9 +161,8 @@
       this.Name = "ValuesCollectorView";
       this.Size = new System.Drawing.Size(486, 482);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.tabControl, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.breakpointLabel, 0);
       this.Controls.SetChildIndex(this.breakpointCheckBox, 0);
